> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Devices Battery Telemetry Current

> **Preview: not available yet.** This endpoint is documented ahead of its release and currently
answers `501 Not Implemented`. Its contract may still change before release.

Get the latest telemetry of your batteries: state of charge, power and current battery mode.

`power_kw` follows the consumption sign convention used by all power fields of the API: positive
when the battery charges (it consumes power), negative when it discharges.



## OpenAPI

````yaml /api-docs/battery/openapi-battery.json get /v1/devices/battery/telemetry/current
openapi: 3.1.0
info:
  title: NOX Energy API - Battery
  description: >
    # Battery API Documentation


    This documentation shows only the endpoints available to battery users.


    **Preview:** these endpoints are documented ahead of their release and
    currently answer

    `501 Not Implemented`.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **battery users** who have access to
    these endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: Battery Control
    description: API for battery control specific endpoints.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/devices/battery/telemetry/current:
    get:
      tags:
        - Asset Info
      summary: Get Devices Battery Telemetry Current
      description: >-
        **Preview: not available yet.** This endpoint is documented ahead of its
        release and currently

        answers `501 Not Implemented`. Its contract may still change before
        release.


        Get the latest telemetry of your batteries: state of charge, power and
        current battery mode.


        `power_kw` follows the consumption sign convention used by all power
        fields of the API: positive

        when the battery charges (it consumes power), negative when it
        discharges.
      operationId: >-
        get_devices_battery_telemetry_current_v1_devices_battery_telemetry_current_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >

              The maximum number of items to return per page of results.


              This should be used together with the `next_token` parameter to
              paginate through results.


              Read the pagination parameter documentation for more details.
            default: 1000
            title: Limit
          description: >

            The maximum number of items to return per page of results.


            This should be used together with the `next_token` parameter to
            paginate through results.


            Read the pagination parameter documentation for more details.
        - name: next_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              The `next_token` is a token used to retrieve the next page of
              results when there are more results

              than can fit in a single page(=API response).


              By default, the API will return a `next_token` of the first page
              if no token was given as a parameter.


              If the token is `null` you have reached the end of the results.


              This should be used together with the `limit` parameter to
              paginate through results.




              To get all results of your call, you can keep calling the same API
              call with the previously returned `next_token` until it returns
              `null`.
            title: Next Token
          description: >

            The `next_token` is a token used to retrieve the next page of
            results when there are more results

            than can fit in a single page(=API response).


            By default, the API will return a `next_token` of the first page if
            no token was given as a parameter.


            If the token is `null` you have reached the end of the results.


            This should be used together with the `limit` parameter to paginate
            through results.




            To get all results of your call, you can keep calling the same API
            call with the previously returned `next_token` until it returns
            `null`.
        - name: device_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              Battery device ID to get data of. If `None`, all batteries are
              included.
            title: Device Id
          description: >

            Battery device ID to get data of. If `None`, all batteries are
            included.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatteryTelemetryCurrentResponse'
              example:
                data:
                  - device_id: e4da3b7f-bbce-4a45-9d2b-1c0e8f7a6b5c
                    measured_at: '2026-10-17T12:03:00Z'
                    soc_pct: 70
                    power_kw: 0.4
                    mode: auto
                meta:
                  energy_supplier: Energy Supplier A
        '403':
          description: Your API key has no access to the battery features
          content:
            application/json:
              example:
                detail: Energy Supplier A is not authorized to access this feature.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '501':
          description: Not implemented yet
          content:
            application/json:
              example:
                detail: This endpoint is not available yet.
components:
  schemas:
    BatteryTelemetryCurrentResponse:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/BatteryTelemetryCurrent'
              type: array
            - type: 'null'
          title: Data
          description: List of battery telemetry
        meta:
          anyOf:
            - $ref: '#/components/schemas/BatteryTelemetryCurrentMeta'
            - type: 'null'
          description: Response metadata
      type: object
      title: BatteryTelemetryCurrentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BatteryTelemetryCurrent:
      properties:
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
          description: Unique device identifier
        measured_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Measured At
          description: ISO 8601 UTC timestamp of the measurement
        soc_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Soc Pct
          description: State of charge in %
        power_kw:
          anyOf:
            - type: number
            - type: 'null'
          title: Power Kw
          description: >-
            Battery power in kW. Positive when charging (consuming), negative
            when discharging.
        mode:
          anyOf:
            - $ref: '#/components/schemas/BatteryMode'
            - type: 'null'
          description: Battery mode the battery is currently in
      type: object
      title: BatteryTelemetryCurrent
    BatteryTelemetryCurrentMeta:
      properties:
        energy_supplier:
          anyOf:
            - type: string
            - type: 'null'
          title: Energy Supplier
          description: Energy supplier name
        next_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Token
          description: Token for pagination
      type: object
      title: BatteryTelemetryCurrentMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BatteryMode:
      type: string
      enum:
        - auto
        - pause_charge
        - pause_discharge
        - force_charge
        - force_discharge
      title: BatteryMode
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.